| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csReporterHelper Class Reference
[Utilities]

Helper class for csReport(). More...

`#include <ivaria/reporter.h>`

List of all members.

## Static Public Member Functions
static void | Report (iObjectRegistry *reg, int severity, char const *msgId, char const *description,...)
| Helper function to use a reporter easily.
static void | ReportV (iObjectRegistry *reg, int severity, char const *msgId, char const *description, va_list args)
| Helper function to use a reporter easily.

## Detailed Description

Helper class for csReport().

Not all compilers allow a bare `vararg' function to be inlined, but wrapping the function in a class seems to appease such compilers. The NextStep compiler exhibits this particular behavior.

Definition at line 306 of file reporter.h.

The documentation for this class was generated from the following file:

- ivaria/reporter.h